[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[or-cvs] r11777: added a (hopefully temporary) macchanger boot menu hack. upd (in incognito/trunk: . arch/x86 portage.config portage.overlay portage.overlay/sys-boot portage.overlay/sys-boot/syslinux portage.overlay/sys-boot/syslinux/files)



Author: anonym
Date: 2007-10-06 10:52:23 -0400 (Sat, 06 Oct 2007)
New Revision: 11777

Added:
   incognito/trunk/arch/x86/isolinux-3.52-cdtar.tar.bz2
   incognito/trunk/create-macchanger.sh
   incognito/trunk/portage.overlay/sys-boot/
   incognito/trunk/portage.overlay/sys-boot/syslinux/
   incognito/trunk/portage.overlay/sys-boot/syslinux/Manifest
   incognito/trunk/portage.overlay/sys-boot/syslinux/files/
   incognito/trunk/portage.overlay/sys-boot/syslinux/files/digest-syslinux-3.52
   incognito/trunk/portage.overlay/sys-boot/syslinux/syslinux-3.52.ebuild
Removed:
   incognito/trunk/arch/x86/isolinux-3.36-cdtar.tar.bz2
Modified:
   incognito/trunk/arch/x86/livecd-stage2-tiny.spec
   incognito/trunk/arch/x86/livecd-stage2.spec
   incognito/trunk/livecd-stage2.sh
   incognito/trunk/portage.config/package.keywords
   incognito/trunk/portage.config/package.mask
Log:
added a (hopefully temporary) macchanger boot menu hack.
updated to syslinux-3.52 (also updated isolinux cdtar to 3.52) which supports boot menu help texts.


Deleted: incognito/trunk/arch/x86/isolinux-3.36-cdtar.tar.bz2
===================================================================
(Binary files differ)

Added: incognito/trunk/arch/x86/isolinux-3.52-cdtar.tar.bz2
===================================================================
(Binary files differ)


Property changes on: incognito/trunk/arch/x86/isolinux-3.52-cdtar.tar.bz2
___________________________________________________________________
Name: svn:mime-type
   + application/octet-stream

Modified: incognito/trunk/arch/x86/livecd-stage2-tiny.spec
===================================================================
--- incognito/trunk/arch/x86/livecd-stage2-tiny.spec	2007-10-06 13:21:09 UTC (rev 11776)
+++ incognito/trunk/arch/x86/livecd-stage2-tiny.spec	2007-10-06 14:52:23 UTC (rev 11777)
@@ -9,7 +9,7 @@
 portage_confdir: /usr/src/incognito/portage.config
 
 livecd/fstype: squashfs
-livecd/cdtar: /usr/src/incognito/arch/x86/isolinux-3.36-cdtar.tar.bz2
+livecd/cdtar: /usr/src/incognito/arch/x86/isolinux-3.52-cdtar.tar.bz2
 livecd/iso: /var/tmp/catalyst/builds/incognito/incognitotiny-i686-__INCOGNITO_VERSION__.iso
 livecd/splash_type: gensplash
 livecd/splash_theme: livecd-2006.1

Modified: incognito/trunk/arch/x86/livecd-stage2.spec
===================================================================
--- incognito/trunk/arch/x86/livecd-stage2.spec	2007-10-06 13:21:09 UTC (rev 11776)
+++ incognito/trunk/arch/x86/livecd-stage2.spec	2007-10-06 14:52:23 UTC (rev 11777)
@@ -9,7 +9,7 @@
 portage_confdir: /usr/src/incognito/portage.config
 
 livecd/fstype: squashfs
-livecd/cdtar: /usr/src/incognito/arch/x86/isolinux-3.36-cdtar.tar.bz2
+livecd/cdtar: /usr/src/incognito/arch/x86/isolinux-3.52-cdtar.tar.bz2
 livecd/iso: /var/tmp/catalyst/builds/incognito/incognito-i686-__INCOGNITO_VERSION__.iso
 livecd/splash_type: gensplash
 livecd/splash_theme: livecd-2006.1

Added: incognito/trunk/create-macchanger.sh
===================================================================
--- incognito/trunk/create-macchanger.sh	                        (rev 0)
+++ incognito/trunk/create-macchanger.sh	2007-10-06 14:52:23 UTC (rev 11777)
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+USAGE="Usage: $0 <macchanger_cfg> <isolinux.cfg>"
+
+MACCHANGER="$1"
+ISOLINUX="$2"
+
+if [[ ! $# -eq 2 ]]; then
+    echo "error: Incorrect number of arguments."
+    echo
+    echo ${USAGE}
+    exit 1
+fi
+
+if [[ -e "${MACCHANGER}" ]] && [[ ! -w "${MACCHANGER}" ]]; then
+    echo "error: ${MACCHANGER} not writable."
+    echo
+    echo ${USAGE}
+    exit 1
+fi
+
+if [[ ! -r "${ISOLINUX}" ]]; then
+    echo "error: ${ISOLINUX} not readable."
+    echo
+    echo ${USAGE}
+    exit 1
+fi
+
+# create new cfg with macchanger enabled for all entries
+sed 's/append.*/& macchanger/' ${ISOLINUX} > ${MACCHANGER}
+
+
+HELP="If you are using a computer that can be traced to you (e.g. your laptop)\non an untrusted network (e.g. public wireless network) you might want to\nhave this option enabled to further increase your anonymity by making\nyour network cards' MAC addresses randomised.\n"
+
+# add "Enable MAC changer" entry to original cfg
+cat >>${ISOLINUX} <<EOF
+
+label domacchange
+  menu label Enable MAC changer
+  text help
+$( echo -en ${HELP} )
+  endtext
+  kernel vesamenu.c32
+  append macchang.cfg
+EOF
+
+# add "Disable MAC changer" entry to original cfg
+cat >>${MACCHANGER} <<EOF
+
+label nomacchange
+  menu label Disable MAC changer
+  text help
+$( echo -en ${HELP} )
+  endtext
+  kernel vesamenu.c32
+  append ~
+EOF


Property changes on: incognito/trunk/create-macchanger.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: incognito/trunk/livecd-stage2.sh
===================================================================
--- incognito/trunk/livecd-stage2.sh	2007-10-06 13:21:09 UTC (rev 11776)
+++ incognito/trunk/livecd-stage2.sh	2007-10-06 14:52:23 UTC (rev 11777)
@@ -85,6 +85,9 @@
 	sed -i "s/__INCOGNITO_VERSION__/${INCOGNITO_VERSION//\//\/}/g" "${FILE}"
 done
 
+# find isolinux.cfg
+ISOLINUX="$(find ${DIR}/overlay -name 'isolinux.cfg')"
+
 # Install QEMU
 [[ -e "${DIR}/overlay/run.bat" ]] && QEMU_INSTALL=1
 QEMU_URL="http://www.h6.dion.ne.jp/~kazuw/qemu-win/qemu-0.9.0-windows.zip";
@@ -101,11 +104,13 @@
 	done
 
 	# Fixup run*.bat with menu
-	ISOLINUX="$(find ${DIR}/overlay -name 'isolinux.cfg')"
 	[[ -n "${ISOLINUX}" ]] && find "${DIR}/overlay" -name "*.bat" -exec ./create-runbat.sh {} "${ISOLINUX}" \;
 
 fi
 
+# Put the ugly macchanger boot menu hack in place
+[[ -n "${ISOLINUX}" ]] && ./create-macchanger.sh $( dirname ${ISOLINUX})/macchang.cfg ${ISOLINUX}
+
 # Build it
 NICECMD=""
 [[ -x "/usr/bin/ionice" ]] && NICECMD="/usr/bin/ionice -c 3"

Modified: incognito/trunk/portage.config/package.keywords
===================================================================
--- incognito/trunk/portage.config/package.keywords	2007-10-06 13:21:09 UTC (rev 11776)
+++ incognito/trunk/portage.config/package.keywords	2007-10-06 14:52:23 UTC (rev 11777)
@@ -53,6 +53,7 @@
 net-im/pidgin ~*
 x11-plugins/pidgin-otr ~*
 dev-util/subversion ~*
+sys-boot/syslinux ~*
 
 # NetworkManager
 net-misc/networkmanager ~*

Modified: incognito/trunk/portage.config/package.mask
===================================================================
--- incognito/trunk/portage.config/package.mask	2007-10-06 13:21:09 UTC (rev 11776)
+++ incognito/trunk/portage.config/package.mask	2007-10-06 14:52:23 UTC (rev 11777)
@@ -9,3 +9,8 @@
 # breaks networkmanager
 >=net-misc/dhcp-3.0.6
 
+# we want to make sure to have the same version as arch/x86/isolinux-*-cdtar.tar.bz2
+# so when changing this, update it. also, a version >=3.50 is required for the boot
+# menu help texts.
+<sys-boot/syslinux-3.52
+>sys-boot/syslinux-3.52

Added: incognito/trunk/portage.overlay/sys-boot/syslinux/Manifest
===================================================================
--- incognito/trunk/portage.overlay/sys-boot/syslinux/Manifest	                        (rev 0)
+++ incognito/trunk/portage.overlay/sys-boot/syslinux/Manifest	2007-10-06 14:52:23 UTC (rev 11777)
@@ -0,0 +1,8 @@
+DIST syslinux-3.52.tar.bz2 1691659 RMD160 5501211b59a0c290dd660b018d00c534362286f1 SHA1 c2a6fb9e225d079c87b70568a683245313c842d1 SHA256 f691835ca1419c90747f852f2000daba89a09457173819bd2a550660c4435722
+EBUILD syslinux-3.52.ebuild 906 RMD160 e96d16672ffd67d6848f67afe885802d18378d2b SHA1 ef2244f65f33e8f1f656c5bf28c4876ae678d403 SHA256 713271f52a9af6182732e7f2b31c7cefa8798506674d71f7fd1b71ad71b72312
+MD5 c61d640b33c1fc15aeda0d7cfc88572d syslinux-3.52.ebuild 906
+RMD160 e96d16672ffd67d6848f67afe885802d18378d2b syslinux-3.52.ebuild 906
+SHA256 713271f52a9af6182732e7f2b31c7cefa8798506674d71f7fd1b71ad71b72312 syslinux-3.52.ebuild 906
+MD5 0eec0036ec5c37f5b1eb9760325242c1 files/digest-syslinux-3.52 247
+RMD160 19f9e932dc216ba04109927490bb5eac2f2ad770 files/digest-syslinux-3.52 247
+SHA256 c52bc3d67684dbfd91f7351db01e8f11dc81fa6d7141c2b447ebbc9a7e72a133 files/digest-syslinux-3.52 247

Added: incognito/trunk/portage.overlay/sys-boot/syslinux/files/digest-syslinux-3.52
===================================================================
--- incognito/trunk/portage.overlay/sys-boot/syslinux/files/digest-syslinux-3.52	                        (rev 0)
+++ incognito/trunk/portage.overlay/sys-boot/syslinux/files/digest-syslinux-3.52	2007-10-06 14:52:23 UTC (rev 11777)
@@ -0,0 +1,3 @@
+MD5 e66e2b3fd7a17977086f65588b324607 syslinux-3.52.tar.bz2 1691659
+RMD160 5501211b59a0c290dd660b018d00c534362286f1 syslinux-3.52.tar.bz2 1691659
+SHA256 f691835ca1419c90747f852f2000daba89a09457173819bd2a550660c4435722 syslinux-3.52.tar.bz2 1691659

Added: incognito/trunk/portage.overlay/sys-boot/syslinux/syslinux-3.52.ebuild
===================================================================
--- incognito/trunk/portage.overlay/sys-boot/syslinux/syslinux-3.52.ebuild	                        (rev 0)
+++ incognito/trunk/portage.overlay/sys-boot/syslinux/syslinux-3.52.ebuild	2007-10-06 14:52:23 UTC (rev 11777)
@@ -0,0 +1,37 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="SysLinux, IsoLinux and PXELinux bootloader"
+HOMEPAGE="http://syslinux.zytor.com/";
+SRC_URI="mirror://kernel/linux/utils/boot/syslinux/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="sys-fs/mtools"
+DEPEND="${RDEPEND}
+	dev-lang/nasm"
+
+# This ebuild is a departure from the old way of rebuilding everything in syslinux
+# This departure is necessary since hpa doesn't support the rebuilding of anything other
+# than the installers.
+
+# removed all the unpack/patching stuff since we aren't rebuilding the core stuff anymore
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+	rm -f gethostip #137081
+}
+
+src_compile() {
+	emake installer || die
+}
+
+src_install() {
+	emake INSTALLROOT="${D}" install || die
+	dodoc README* NEWS TODO *.doc memdisk/memdisk.doc
+}